#ifndef AUTOTESTS_STUB_DBUS_CONNECTOR_H
#define AUTOTESTS_STUB_DBUS_CONNECTOR_H

#include <QObject>
#include <QDBusConnection>
#include <QDBusInterface>

namespace UkuiQuick {

class DbusConnector : public QObject
{
    Q_OBJECT
public:
    explicit DbusConnector(const QString &service,
                           const QString &path,
                           const QString &interface,
                           const QDBusConnection &connection,
                           QObject *parent = nullptr)
        : QObject(parent)
        , m_service(service)
        , m_path(path)
        , m_interface(interface)
        , m_connection(connection)
    {
    }

    void start()
    {
    }

    QString service() const
    {
        return m_service;
    }

    QString path() const
    {
        return m_path;
    }

    QString interface() const
    {
        return m_interface;
    }

    QDBusConnection connection() const
    {
        return m_connection;
    }

Q_SIGNALS:
    void ready(QDBusInterface *interface);

private:
    QString m_service;
    QString m_path;
    QString m_interface;
    QDBusConnection m_connection;
};

} // namespace UkuiQuick

#endif // AUTOTESTS_STUB_DBUS_CONNECTOR_H
